<?php
/**
* @version 1.0.0
* @package RSEvents! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewCategories extends JView
{
	function display($tpl = null)
	{
		global $mainframe , $option;
		$document = & JFactory::getDocument();
		$db = & JFactory::getDBO();
		$layout=JRequest::getVar('layout','','request');
		
		$Itemid = intval(JRequest::getVar('Itemid','','request'));
		$itemId = ($Itemid == '') ? '' : '&Itemid='.$Itemid;
		$this->assignRef('itemId',$itemId);
		
		switch($layout)
		{
			default:
			{		
				$listCategories=$this->get('data');
				
				$pathway 	= & $mainframe->getPathWay();
				$pathway->addItem(JText::_('RSE_BC_LISTCATEGORIES'), '');
				
				$this->assignRef('data',$listCategories);
			} break;
			
		}
		
		
		parent::display($tpl);
	}
}